Name: jc
Summary: Serialize the output of CLI tools and file-types to structured JSON
License: MIT

Version: 1.18.6
Release: 1%{?dist}

URL: https://github.com/kellyjonbrazil/%{name}
Source0: %{URL}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(pygments) >= 2.4.2
BuildRequires: python3dist(ruamel-yaml) >= 0.15
BuildRequires: python3dist(xmltodict) >= 0.12

# Require the python module in the main package
Requires: python3-%{name} = %{version}-%{release}


%description
JSON CLI output utility. JC is used to JSONify the output of many
command-line tools and file types for easier parsing in scripts.


%package -n python3-%{name}
Summary: Module for serializing output of CLI tools into JSON
BuildArch: noarch

%description -n python3-%{name}
Python module providing functions for parsing the output of command-line
tools and file types into structured JSON, for easier further processing.


%prep
%autosetup


%build
%py3_build


%install
%py3_install

install -m 755 -d %{buildroot}%{_mandir}/man1
install -m 644 -p man/jc.1 %{buildroot}%{_mandir}/man1/


%check
./runtests.sh


%files
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*

%files -n python3-%{name}
%doc docs/
%license LICENSE.md
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Mar 26 2022 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.18.6-1
- Update to v1.18.6

* Sun Mar 06 2022 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.18.5-1
- Update to v1.18.5

* Mon Feb 14 2022 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.18.3-1
- Update to v1.18.3

* Fri Jan 28 2022 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.18.2-1
- Update to v1.18.2

* Mon Jan 24 2022 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.18.1-1
- Update to v1.18.1
- Separate package into CLI executable and python module

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 14 2022 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.17.7-1
- Update to v1.17.7

* Mon Jan 03 2022 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.17.6-1
- Update to v1.17.6

* Tue Dec 21 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.17.5-1
- Update to v1.17.5
- Use PEP-503 names for package dependencies

* Thu Dec 09 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.17.4-1
- Update to v1.17.4

* Fri Dec 03 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.17.3-1
- Update to v1.17.3

* Thu Nov 18 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.17.2-1
- Update to v1.17.2

* Tue Nov 02 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.17.1-1
- Update to v1.17.1

* Mon Sep 27 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.17.0-1
- Update to v1.17.0

* Tue Aug 31 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.16.2-1
- Update to v1.16.2

* Mon Aug 16 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.16.1-1
- Update to v1.16.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 20 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.16.0-1
- Update to v1.16.0

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.15.5-2
- Rebuilt for Python 3.10

* Fri May 28 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.15.5-1
- Update to v1.15.5

* Wed May 19 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.15.4-1
- Update to v1.15.4

* Tue Apr 27 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.15.3-1
- Update to v1.15.3

* Mon Apr 19 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.15.2-1
- Update to v1.15.2

* Wed Apr 14 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.15.1-1
- Update to v1.15.1

* Thu Apr 08 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.15.0-1
- Update to v1.15.0
- Include man page in the package

* Sat Mar 06 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.14.4-1
- Update to v1.14.4

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 02 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 1.14.0-1
- Update to v1.14.0

* Fri Aug 14 2020 Artur Iwicki <fedora@svgames.pl> - 1.13.4-1
- Update to upstream release v1.13.4

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 05 2020 Artur Iwicki <fedora@svgames.pl> - 1.11.2-3
- Switch to using only the GitHub source
- Formatting changes

* Fri Jun 05 2020 Artur Iwicki <fedora@svgames.pl> - 1.11.2-2
- Fetch the GitHub sources apart from PyPi sources
  (the latter don't contain documentation and tests)
- Run tests during %%check
- Include the docs in the package

* Tue Jun 02 2020 Kelly Brazil <kellyjonbrazil@gmail.com> - 1.11.2-1
- Initial package.
